#Cart Change plugin
#Use command "change cart <number>" where <number> is numeric from 1 to 5
#By Kissa2k

package cartChange;

use strict;
use Globals;
use Plugins;
use Log qw(debug message warning error);
use Commands;
use Network;
use Network::Send;
use AI;

Plugins::register('cartChange', 'Cart change ', \&Unload, \&Unload);

my $hook = Commands::register(
    ['change','Change cart style.',\&commands]
);

sub Unload {
	Commands::unregister($hook);
}

sub commands {
	my (undef, $args) = @_;
	my @args = split(/ /, $args);
	if($args[0] eq "cart"){
		if ($args[1] eq 1 || $args[1] eq 2 || $args[1] eq 3 || $args[1] eq 4 || $args[1] eq 5){
				message "Changing your cart to $args[1]...\n";
				$messageSender->sendToServer(pack("C*", 0xAF, 0x01, 0x0.$args[1], 0x00));
		}else{
			message("Syntax Error in function 'change cart'\nUsage: change cart < number >\nWhere < number > is numeric from 1 to 5\n","info");
		}
	}else{
		error("Unknown command 'change'. Please read the documentation for a list of commands.\n");
	}
}

return 1;
